#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long i=0;
    long long x, y;
    string rez="";
    string temp;
    cin >> x >> y;
    if(x>y)
        temp = to_string(x);
    else
        temp = to_string(y);
    for(i=0; i<temp.length(); i++)
    {
        if((x%10)==(y%10))
        {
            rez+=to_string(x%10) + to_string(y%10);
        }
        else if((x%10)>(y%10))
        {
            rez+=to_string(x%10);
        }
        else
        {
            rez+=to_string(y%10);
        }
        x=x/10;
        y=y/10;
    }
    for(i=rez.length()-1; i>=0; i--)
        cout << rez[i];
    return 0;
}